<?php

declare (strict_types = 1);
use Hyperf\HttpServer\Router\Router;
Router::addGroup(
    '/api', function () {
        Router::post('/login', 'App\Controller\LoginController@login');
    },
    ['middleware' => [\App\Middleware\Auth\PublicMiddleware::class]]
);

Router::post('/api/checkVerifyCode', 'App\Controller\LoginController@checkVerifyCode');
Router::addRoute(['GET', 'POST'], '/getverifyCode', 'App\Controller\IndexController@getverifyCode');
Router::post('/api/registerOrLogin', 'App\Controller\LoginController@registerOrLogin');
Router::post('/api/getToken', 'App\Controller\LoginController@getToken');
